Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042790
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminorhave not tried2020-01-10 06:542020-01-21 12:56
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision2a6057cde2a1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042790: Apply new HQL style in ServiceOrderLineEventHandler

Description1. Avoid use of StringBuilder use normal Strings.
2. HQL formatting is important for improving readability.
3. Avoid use of Property Constant for eg:PROPERTY_ORDERLINERELATED
Steps To Reproduce-
Proposed SolutionFollow new style available here http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0116844)
AtulOpenbravo (developer)
2020-01-14 11:55

- Define two products, Type: Item, purchase and sales price
- Define Service product, Type as:Service set Linked To Product = Yes, Include Product Categories: blank, Include Products : Only those Defined, Quantity Rule: As per Product
- Relate Products created in Step 1, Related Product Category of the Product created in step 1.
- Add Purchase and Sales Price.

- Create a Sales Order for any Business Partner
- Add all the three product created in the above steps
- Select the Service Product Line, realize that Select Order Line button is visible
- Click on it and realize that P&E window opens with other two products in the list
- Select the records, try to edit Relate Quantity
- Press Done button, realize that process is successful.
(0117135)
hgbot (developer)
2020-01-21 12:54

Repository: erp/devel/pi
Changeset: 2a6057cde2a1134e6d06c4d6450fd8e7965b7b8a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jan 14 15:55:03 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/2a6057cde2a1134e6d06c4d6450fd8e7965b7b8a [^]

Fixes BUG-42790: Apply new HQL style in ServiceOrderLineEventHandler

**Avoid StringBuilder for hql query string, use String and formatter
off on to improve readability of hql queries.

---
M src/org/openbravo/event/ServiceOrderLineEventHandler.java
---
(0117136)
hgbot (developer)
2020-01-21 12:54

Repository: erp/devel/pi
Changeset: 26d36ce92af45feff00695ca17864b83df7dc4b8
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 21 12:54:45 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/26d36ce92af45feff00695ca17864b83df7dc4b8 [^]

Related to ISSUE-42790: Code Review changes:
* Simplify the call to the query object

---
M src/org/openbravo/event/ServiceOrderLineEventHandler.java
---
(0117137)
dmiguelez (developer)
2020-01-21 12:56

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-10 06:54 AtulOpenbravo New Issue
2020-01-10 06:54 AtulOpenbravo Assigned To => AtulOpenbravo
2020-01-10 06:54 AtulOpenbravo Modules => Core
2020-01-10 06:54 AtulOpenbravo Triggers an Emergency Pack => No
2020-01-10 06:54 AtulOpenbravo Issue generated from 0042789
2020-01-10 06:54 AtulOpenbravo Relationship added depends on 0041287
2020-01-10 07:05 AtulOpenbravo Issue cloned 0042791
2020-01-14 11:55 AtulOpenbravo Status new => scheduled
2020-01-14 11:55 AtulOpenbravo Note Added: 0116844
2020-01-21 12:54 hgbot Checkin
2020-01-21 12:54 hgbot Note Added: 0117135
2020-01-21 12:54 hgbot Status scheduled => resolved
2020-01-21 12:54 hgbot Resolution open => fixed
2020-01-21 12:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2a6057cde2a1134e6d06c4d6450fd8e7965b7b8a [^]
2020-01-21 12:54 hgbot Checkin
2020-01-21 12:54 hgbot Note Added: 0117136
2020-01-21 12:56 dmiguelez Review Assigned To => dmiguelez
2020-01-21 12:56 dmiguelez Note Added: 0117137
2020-01-21 12:56 dmiguelez Status resolved => closed
2020-01-21 12:56 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker